# snmpwalkoid

(PHP 4, PHP 5, PHP 7)

snmpwalkoid — Query for a tree of information about a network entity

### Description

snmpwalkoid ( string `$hostname` , string `$community` , string `$object_id` [, int `$timeout` = 1000000 [, int `$retries` = 5 ]] ) : array

snmpwalkoid() function is used to read all object ids and their respective values from an SNMP agent specified by `hostname`.

The existence of snmpwalkoid() and snmpwalk() has historical reasons. Both functions are provided for backward compatibility. Use snmprealwalk() instead.

### Parameters

`hostname`

  The SNMP agent.

`community`

  The read community.

`object_id`

  If `NULL`, `object_id` is taken as the root of the SNMP objects tree and all objects under that tree are returned as an array.

  If `object_id` is specified, all the SNMP objects below that `object_id` are returned.

`timeout`

  The number of microseconds until the first timeout.

`retries`

  The number of times to retry if timeouts occur.

### Return Values

Returns an associative array with object ids and their respective object value starting from the `object_id` as root or `FALSE` on error.

### Examples

Example #1 snmpwalkoid() Example

`<?php
$a = snmpwalkoid("127.0.0.1", "public", "");
for (reset($a); $i = key($a); next($a)) {
echo "$i: $a[$i]<br />\n";
}
?>`

Above function call would return all the SNMP objects from the SNMP agent running on localhost. One can step through the values with a loop

### See Also

- snmpwalk() - Fetch all the SNMP objects from an agent